﻿using Microsoft.AspNetCore.Http;
using System;

namespace NDB.Security.Authentication.Identity.Abstractions
{
    public interface IAuthenticationOptions
    {
        Func<HttpRequest, bool> AuthenticateAsGuest { get; }
        int GuestUserId { get; }
        string GuestUserName { get; }
    }
}
