﻿using Microsoft.AspNetCore.Http;
using NDB.Security.Authentication.Identity.Abstractions;
using System;

namespace NDB.Security.Authentication.Identity.Services
{
    public class AuthenticationOptions : IAuthenticationOptions
    {
        public Func<HttpRequest, bool> AuthenticateAsGuest { get; set; }

        public int GuestUserId { get; set; }

        public string GuestUserName { get; set; }
    }
}
